{% extends 'base.html.twig' %}

{% block title %}
    Undercover — Jeu de l'imposteur en ligne
{% endblock %}

{% block plugins %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
{% endblock %}

{% block stylesheets %}
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Roboto&family=Squada+One&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Work+Sans:wght@200;400&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@500&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Finger+Paint&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Nunito&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Rubik&display=swap%27');

        body {
            width: 100vw;
            height: 100vh;
            margin: 0;
            font-family: 'Roboto', sans-serif;
            overflow-x: hidden;
            background: #ececec;
        }

        header {
            width: 100vw;
            height: 80px;
            background: #0a0717;
            background-position: center;
            background-size: 70px;
            display: flex;
            justify-content: space-between;
            flex-direction: row;

        }

        #header-button {
            display: flex;
            align-items: center;
            justify-content: flex-end;
            margin-right: 50px;
        }

        #header-button button {
            padding: 15px 50px;
            cursor: pointer;
            background: #161225;
            border: 0;
            font-size: 12px;
            border-radius: 3px;
            text-transform: uppercase;
            outline: none;
            font-weight: bold;
            color: white;
            transition: all 0.2s;
        }

        #header-button button:hover {
            background: #413d4e;
        }

        #navbar {

            height: 100%;
            display: flex;
            align-items: center;
            margin-left: 50px;

        }

        #navbar img {
            width: 50px;
        }

        #navbar ul {
            list-style-type: none;
            margin: 0;
            line-height: 40px;
            font-weight: bold;
            letter-spacing: 0.2px;
            text-transform: uppercase;
            font-size: 12px;
        }

        #navbar li {
            display: inline;
            cursor: pointer;
            padding: 10px 10px;
            margin: 10px;
            height: 100%;
            transition: all 0.2s;
        }

        #navbar li.active, li:hover {
            border-bottom: solid 4px white;
        }

        #navbar li.disable a {
            color: #545454;
            cursor: default;
        }

        #navbar li.disable:hover {
            border: 0;
        }

        #navbar a {
            color: white;
            text-decoration: none;
        }

        main {
            position: relative;
            width: 100%;
            height: 100%;
        }

        #video-container {
            position: relative;
        }

        #video-container video {
            width: 100%;
            border: 0;
            object-fit: cover;
            position: relative;
            z-index: 0;
        }


        #main-launch-container {
            position: absolute;
            right: 0;
            width: 50%;
            height: 100%;
            top: 0;
            display: flex;
            z-index: 1;
        }

        #main-launch {
            width: 100%;
            justify-content: center;
            align-items: center;
            display: flex;
            flex-direction: column;
            color: white;
        }

        #main-title {
            width: 100%;
            justify-content: center;
            align-items: center;
            display: flex;
            color: white;
            text-transform: uppercase;
        }

        #main-title h1 {
            font-size: 5vw;
            font-weight: bold;
            font-family: 'Finger Paint', cursive;
            text-shadow: 4px 3px 0 #050e3d, 7px 5px 2px rgba(0, 0, 0, 0);
            margin: 0;
        }


        #main-undertitle {
            width: 100%;
            justify-content: center;
            align-items: center;
            display: flex;
            color: white;
            padding: 30px;
            text-transform: uppercase;
        }

        #main-undertitle h2 {
            font-size: 1vw;
            font-weight: bold;
            font-family: 'Rubik', sans-serif;
            text-shadow: 0 0 10px #000000, -4px 17px 0 rgba(0, 0, 0, 0);
        }

        #main-playbutton {
            color: black;
            justify-content: center;
            align-items: center;
            text-align: center;
        }

        .launchgame {
            padding: 20px 60px;
            margin-top: 2vh;
            animation: pulse 2s infinite;
            border: 0;
            border-radius: 10px;
            outline: none;
            background: white;
            color: black;
            font-weight: bold;
            text-transform: uppercase;
            transition: all 0.2s;
        }

        .launchgame:hover {
            background: #2d2a3e;
            color: white;
        }

        @keyframes pulse {
            0% {
                transform: scale(0.95);
            }

            70% {
                transform: scale(1);
                box-shadow: 0 0 10px 5px #1d121d54;
            }

            100% {
                transform: scale(0.95);
            }
        }


        #main-description {
            width: 100%;
            color: black;
            height: 70vh;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        #main-view {
            max-width: 80%;
            color: black;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        #left-homepage {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 50%;
            flex-direction: column;
        }

        #left-homepage img {
            width: 100%;
        }

        #right-homepage {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            padding: 50px;
        }

        #main-description h1 {
            font-size: 3vw;
            font-weight: bold;
        }

        #main-description h2 {
            font-size: 1.5vw;
            font-weight: bold;
        }

        #undercover-pres {
            width: 100%;
            text-align: left;
        }

        #undercover-pres-title {
            margin-bottom: 50px;
        }


        #main-personalise {
            width: 100%;
            position: relative;
            color: black;
            display: flex;
            justify-content: center;
            background: #0a0717;
            min-height: 70vh;
        }


        #top-word-container {
            width: 100%;
            position: absolute;
            top: -15px;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
        }

        #top-word {
            padding: 10px 50px;
            background: #191139;
            color: white;
            font-size: 30px;
            border-radius: 15px;
            min-width: 230px;
            text-align: center;
            text-transform: uppercase;
            font-weight: bold;
            display: flex;
            align-items: center;
            justify-content: center;
            letter-spacing: 1.5px;
            position: relative;
            box-shadow: 0 15px 10px -15px black;
        }

        #role {
            padding: 8px 40px 5px 40px;
            font-size: 18px;
            border-radius: 0 0 8px 8px;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1.5px;
            background: #26538c;
            color: white;
        }


        #personalise-title {
            color: white;
            display: flex;
            padding: 0 10px;
            justify-content: center;
            text-align: center;
            align-items: center;
            font-family: Ubuntu, 'sans-serif';
            flex-direction: column;
        }

        #personalise-title h4 {
            color: white;
            font-size: 40px;
            margin-bottom: 80px;
        }

        #personalise-title p {
            color: #d2d2d2;
            font-size: 18px;
        }

        #add-word {
            border-radius: 10px;
            padding: 15px 60px;
            width: 300px;
            margin-top: 100px;
            border: 0;
            outline: none;
            background: #191139;
            color: white;
            text-transform: uppercase;
            transition: all 0.2s;
        }

        #add-word:hover {
            background: #383056;
        }

        #main-skin-container {
            height: 70%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            background: radial-gradient(circle, rgba(255, 255, 255, 1) 0%, rgb(255 255 255 / 35%) 96%), url({{ asset('assets/images/home/forest2.svg') }}) no-repeat;
            background-size: cover;
            background-position: center center;
        }

        #main-skin {
            display: flex;
            margin-top: 30px;
            align-items: center;
            flex-direction: row;
            width: 60%;
            justify-content: space-evenly;
        }

        #skin-left {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #skin-right {
            justify-content: center;
            align-items: center;
            border-bottom: solid 1px #bfbfbf;
            padding: 20px 0
        }

        #skin-right h2 {
            font-weight: bold;
        }

        #main-skin-container h4 {
            color: #241f38;
            font-size: 40px;
            font-weight: bold;
        }

        #skin-selector-preview {
            width: 200px;
            height: 400px;
            display: flex;
            justify-content: center;
            background: url('https://cdn.discordapp.com/attachments/775414438924779570/776187008518979614/plateform.png') no-repeat;
            background-size: 130px;
            background-position: center bottom;
            animation: float 6s ease-in-out infinite;
        }

        #skin-preview {
            width: 100px;
            height: 400px;
            display: flex;
            justify-content: center;
            background: url({{ asset('assets/images/home/Girls.svg') }}) no-repeat;
            background-size: 1000px;
            background-position: -710px 20px;
            animation: defilement 10s infinite;
        }


        @keyframes defilement {
            0% {
                background-position: -25px 20px;
            }
            19% {
                background-position: -25px 20px;
            }

            22% {
                background-position: -200px 20px;
            }
            39% {
                background-position: -200px 20px;
            }

            42% {
                background-position: -365px 20px;
            }
            59% {
                background-position: -365px 20px;
            }

            62% {
                background-position: -540px 20px;
            }
            79% {
                background-position: -540px 20px;
            }


            82% {
                background-position: -710px 20px;
            }
            100% {
                background-position: -710px 20px;
            }
        }

        @keyframes float {
            0% {
                transform: translatey(0px);
            }
            50% {
                transform: translatey(-10px);
            }
            100% {
                transform: translatey(0px);
            }
        }


        #main-editgame {
            width: 100%;
            position: relative;
            display: flex;
            text-align: center;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            color: white;
            background: #0a0717;
            min-height: 70vh;
        }

        #main-editgame h4 {
            font-size: 40px;
            font-weight: bold;
        }


        #edit-role-container {
            width: 80%;
            display: flex;
            justify-content: center;
            margin-bottom: 50px;
            margin-top: 50px;
            align-items: center;
            flex-direction: row
        }

        .editrole {
            width: 200px;
            height: 200px;
            background: #161225;
            border-radius: 200px;
            margin: 50px;
            align-items: center;
            display: flex;
            justify-content: center;
            transition: all 0.2s;
            position: relative;
        }

        .editrole p {
            position: absolute;
            bottom: -5px;
            display: none;
        }

        .editrole img {
            width: 80%;
        }
    </style>
{% endblock %}

{% block body %}
    <header>
        <div id="navbar">
            <img src="{{ asset('assets/images/form/Spy.svg') }}" alt=""/>
            <ul>
                <li class="active"><a href="{{ path('undercover_home') }}">Accueil</a></li>
                <li><a href="{{ path('undercover_contribute') }}">Contribuer</a></li>
                <li><a href="{{ path('undercover_presse') }}">Presse</a></li>
                <li><a href="{{ path('undercover_rules') }}">Règles</a></li>
                <li class="disable"><a href="#">Connexion</a></li>
            </ul>
        </div>
        <div id="header-button">
            <a href="{{ path('undercover_create') }}">
                <button>Jouer</button>
            </a>
        </div>
    </header>
    <main>
        <div id="video-container">
            <video playsinline autoplay muted loop poster="{{ asset('assets/videos/videopreload.png') }}"
                   src="{{ asset('assets/videos/landing.webm') }}"></video>
            <div id="main-launch-container">
                <div id="main-launch">
                    <div id="main-title"><h1>Undercover</h1></div>
                    <div id="main-undertitle"><h2>Jeu de l'undercover en ligne multijoueur</h2></div>
                    <div id="main-playbutton" data-aos="fade-in">
                        <a href="{{ path('undercover_create') }}">
                            <button class="launchgame">Créer une partie</button>
                        </a></div>
                </div>
            </div>
        </div>
        <div id="main-description">
            <div id="main-view">
                <div id="left-homepage" data-aos="fade-right">
                    <img alt="Undercover jeu en ligne" src="{{ asset('assets/images/home/ordi.gif') }}"/>
                </div>
                <div id="right-homepage" data-aos="fade-left">
                    <div id="undercover-pres">
                        <div id="undercover-pres-title">
                            <h1>Undercovergame</h1>
                            <h2>Plutôt détective ou manipulateur ?</h2>
                        </div>

                        <p>Parmis tes amis se cache <b>Mr White</b> et surement un ou plusieurs <b>Undercovers</b>.
                            <br>Leur mission est d'éssayer de se fondre dans la masse.
                            <br>A la fin de chaques tour le village procède aux votes<br>
                            Trouve le <b>Mr.White</b> ainsi que tous les <b>Undercovers</b> et remporte la partie</p>
                    </div>
                </div>
            </div>
        </div>
        <div id="main-personalise">
            <div id="top-word-container">
                <div id="top-word">Bande Organisé</div>
                <div id="role">CIVIL</div>
            </div>
            <div id="personalise-title">
                <h4>Le jeu en ligne est rempli de mots actuelle et fun </h4>
                <p>Le jeu aborde tous les thèmes possible afin d'éviter la répétition de jeu<br>
                    Nous pouvons donc passer sur le thème du jeux videos au rap en passant par la culture générale<br>
                    Le jeu est mis à jours le plus souvent possible, mais tu peux aussi nous aider en proposant des
                    mots.</p>
                <a href="{{ path('undercover_contribute') }}">
                    <button id="add-word">Proposer un mot</button>
                </a>
            </div>
        </div>
        <div id="main-skin-container">
            <h4>Gagne des skins en jouant des parties</h4>
            <div id="main-skin">
                <div id="skin-left">
                    <div id="skin-selector-preview">
                        <div id="skin-preview"></div>
                    </div>
                </div>
                <div id="skin-right" data-aos="fade-left">
                    <h2>Personnalise ton avatar</h2><br>
                    <p>Vous pouvez chosir votre skin avant chaque partie<br>
                        Plus vous <b>faites de parties</b>, plus vous avez de la chance de <b>gagner des skins</b> en
                        récompense.<br><br>
                        Il sera également possible d'acheter des skins dans un futur proche.<br>
                        Nos espions nous ont dit qu'un skin etait offert après ta première game</p>
                </div>
            </div>
        </div>
        <div id="main-editgame">
            <h4>Personnalise ta partie avec tes amis</h4>
            <div id="edit-role-container">
                <div class="editrole" data-aos="zoom-in">
                    <img draggable="false" src="{{ asset('assets/images/form/civils.svg') }}" alt=""/>
                    <p id="role1">Civils</p>
                </div>
                <div class="editrole" data-aos="zoom-in" data-aos-delay="50">
                    <img draggable="false" src="{{ asset('assets/images/form/white.svg') }}" alt=""/>
                    <p id="role2">Mr White</p>
                </div>
                <div class="editrole" data-aos="zoom-in" data-aos-delay="100">
                    <img draggable="false" src="{{ asset('assets/images/form/undercover.svg') }}" alt=""/>
                    <p id="role3">Undercover</p>
                </div>
            </div>
            <p>
                Vous pouvez ajouter un Mr White ou des Undercovers en plus, il vous suffit de paramètrer la partie à
                votre envie.<br>
                N'oubliez pas que la partie se complique pour les civils lorsque vous ajoutez des rôles
            </p>
        </div>
    </main>
{% endblock %}

{% block javascripts %}
    <script>
        AOS.init({easing: 'ease', duration: 600,});

        document.addEventListener('DOMContentLoaded', function (event) {
            // array with texts to type in typewriter
            var dataText = ["Bande Organisé", "Confinement", "Apple", "Wejden", "Koh-Lanta"];

            // type one text in the typwriter
            // keeps calling itself until the text is finished
            function typeWriter(text, i, fnCallback) {
                // chekc if text isn't finished yet
                if (i < (text.length)) {
                    // add next character to h1
                    document.querySelector("#top-word").innerHTML = text.substring(0, i + 1) + '<span aria-hidden="true"></span>';

                    // wait for a while and call this function again for next character
                    setTimeout(function () {
                        typeWriter(text, i + 1, fnCallback)
                    }, 100);
                }
                // text finished, call callback if there is a callback function
                else if (typeof fnCallback == 'function') {
                    // call callback after timeout
                    setTimeout(fnCallback, 2000);
                }
            }

            // start a typewriter animation for a text in the dataText array
            function StartTextAnimation(i) {
                if (typeof dataText[i] == 'undefined') {
                    setTimeout(function () {
                        StartTextAnimation(0);
                    }, 2000);
                }
                // check if dataText[i] exists
                if (typeof dataText[i] !== 'undefined') {
                    if (i < dataText[i].length) {
                        // text exists! start typewriter animation
                        typeWriter(dataText[i], 0, function () {
                            // after callback (and whole text has been animated), start next text
                            StartTextAnimation(i + 1);
                        });
                    }
                }
            }

            // start the text animation
            StartTextAnimation(0);
        });
    </script>
{% endblock %}